summaryrefslogtreecommitdiffstats
path: root/remote/modules
diff options
context:
space:
mode:
authorJonathan Bauer2013-12-02 17:21:58 +0100
committerJonathan Bauer2013-12-02 17:21:58 +0100
commit1f7926fff0737cd0517117d85d27db6219fd754d (patch)
tree6efccaee1e9bbc29e2db075deb38f469f59814ec /remote/modules
parent[vmware] added Xreset to process the Xreset.d directory :) (diff)
downloadtm-scripts-1f7926fff0737cd0517117d85d27db6219fd754d.tar.gz
tm-scripts-1f7926fff0737cd0517117d85d27db6219fd754d.tar.xz
tm-scripts-1f7926fff0737cd0517117d85d27db6219fd754d.zip
[xorg] moved Xreset script to xorg module. And make it actually working.
Diffstat (limited to 'remote/modules')
-rwxr-xr-xremote/modules/vmware/data/etc/X11/Xreset34
-rwxr-xr-xremote/modules/xorg/data/etc/X11/Xreset24
2 files changed, 24 insertions, 34 deletions
diff --git a/remote/modules/vmware/data/etc/X11/Xreset b/remote/modules/vmware/data/etc/X11/Xreset
deleted file mode 100755
index 7a0974cf..00000000
--- a/remote/modules/vmware/data/etc/X11/Xreset
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-#
-# /etc/X11/Xreset
-#
-# global Xreset file -- for use by display managers
-
-# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
-
-set -e
-
-PROGNAME=Xreset
-SYSSESSIONDIR=/etc/X11/Xreset.d
-
-if [ ! -d "$SYSSESSIONDIR" ]; then
- # Nothing to do, exiting
- exit 0
-fi
-
-# use run-parts to source every file in the session directory; we source
-# instead of executing so that the variables and functions defined above
-# are available to the scripts, and so that they can pass variables to each
-# other
-SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
-if [ -n "$SESSIONFILES" ]; then
- set +e
- for SESSIONFILE in $SESSIONFILES; do
- . $SESSIONFILE
- done
- set -e
-fi
-
-exit 0
-
-# vim:set ai et sts=2 sw=2 tw=80:
diff --git a/remote/modules/xorg/data/etc/X11/Xreset b/remote/modules/xorg/data/etc/X11/Xreset
new file mode 100755
index 00000000..a77cf2c0
--- /dev/null
+++ b/remote/modules/xorg/data/etc/X11/Xreset
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# /etc/X11/Xreset
+#
+# global Xreset file -- for use by display managers
+
+# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
+
+set -e
+
+PROGNAME=Xreset
+SYSSESSIONDIR=/etc/X11/Xreset.d
+
+if [ ! -d "$SYSSESSIONDIR" ]; then
+ # Nothing to do, exiting
+ exit 0
+fi
+
+for SESSIONFILE in $SYSSESSIONDIR/*; do
+ . "$SESSIONFILE" || slxlog "xreset" "Xreset: Could not source $SESSIONFILE." "$SESSIONFILE"
+done
+
+exit 0
+